group "RoutingIdentification.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
routingIds | routingExplicitDetails | routingIdsAndExplicitDetails

Content Model Elements (3):

  routingExplicitDetails, routingIds (defined in RoutingIdentification.model group), | routingIdsAndExplicitDetails

Known Usage Locations

- In definitions of global complexTypes (4):
  Beneficiary, CorrespondentInformation, IntermediaryInformation, Routing

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="RoutingIdentification.model"> <xsd:choice> <xsd:element name="routingIds" type="RoutingIds"/> <xsd:element name="routingExplicitDetails" type="RoutingExplicitDetails"/> <xsd:element name="routingIdsAndExplicitDetails" type="RoutingIdsAndExplicitDetails"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
routingExplicitDetails

  Type: | RoutingExplicitDetails, complex content

  A set of details that is used to identify a party involved in the routing of a payment when the party does not have a code that identifies it within one of the recognized payment systems.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="routingExplicitDetails" type="RoutingExplicitDetails"/>

routingIds

  Type: | RoutingIds, complex content

  A set of unique identifiers for a party, eachone identifying the party within a payment system. The assumption is that each party will not have more than one identifier within the same payment system.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="routingIds" type="RoutingIds"/>

routingIdsAndExplicitDetails

  Type: | RoutingIdsAndExplicitDetails, complex content

  A combination of coded payment system identifiers and details for physical addressing for a party involved in the routing of a payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="routingIdsAndExplicitDetails" type="RoutingIdsAndExplicitDetails"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.